<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: GeneralUtils Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classGeneralUtils-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GeneralUtils Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>General utilities.  
 <a href="classGeneralUtils.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="GeneralUtils_8h_source.html">GeneralUtils.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af43c8ecc3449ea441a2a8e88a50a34d6"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#af43c8ecc3449ea441a2a8e88a50a34d6">base64Decode</a> (const std::string &amp;in, std::string *out)</td></tr>
<tr class="memdesc:af43c8ecc3449ea441a2a8e88a50a34d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decode a chunk of data that is base64 encoded.  <a href="#af43c8ecc3449ea441a2a8e88a50a34d6">More...</a><br /></td></tr>
<tr class="separator:af43c8ecc3449ea441a2a8e88a50a34d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe8373207df0ef16bc66338b4ec8d298"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#abe8373207df0ef16bc66338b4ec8d298">base64Encode</a> (const std::string &amp;in, std::string *out)</td></tr>
<tr class="memdesc:abe8373207df0ef16bc66338b4ec8d298"><td class="mdescLeft">&#160;</td><td class="mdescRight">Encode a string into base 64.  <a href="#abe8373207df0ef16bc66338b4ec8d298">More...</a><br /></td></tr>
<tr class="separator:abe8373207df0ef16bc66338b4ec8d298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1698e9a6f3f4a3b49e00a4c7b200fa6b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#a1698e9a6f3f4a3b49e00a4c7b200fa6b">dumpInfo</a> ()</td></tr>
<tr class="memdesc:a1698e9a6f3f4a3b49e00a4c7b200fa6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump general info to the log. Data includes:  <a href="#a1698e9a6f3f4a3b49e00a4c7b200fa6b">More...</a><br /></td></tr>
<tr class="separator:a1698e9a6f3f4a3b49e00a4c7b200fa6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade237631b5595e2426f9e86fc6e38932"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#ade237631b5595e2426f9e86fc6e38932">endsWith</a> (std::string str, char c)</td></tr>
<tr class="memdesc:ade237631b5595e2426f9e86fc6e38932"><td class="mdescLeft">&#160;</td><td class="mdescRight">Does the string end with a specific character?  <a href="#ade237631b5595e2426f9e86fc6e38932">More...</a><br /></td></tr>
<tr class="separator:ade237631b5595e2426f9e86fc6e38932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25e466e54ff002f54bfb7e1f43bd401b"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#a25e466e54ff002f54bfb7e1f43bd401b">errorToString</a> (esp_err_t errCode)</td></tr>
<tr class="memdesc:a25e466e54ff002f54bfb7e1f43bd401b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert an ESP error code to a string.  <a href="#a25e466e54ff002f54bfb7e1f43bd401b">More...</a><br /></td></tr>
<tr class="separator:a25e466e54ff002f54bfb7e1f43bd401b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad485c229090167eaa4c8a70028ce5a52"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#ad485c229090167eaa4c8a70028ce5a52">wifiErrorToString</a> (uint8_t value)</td></tr>
<tr class="memdesc:ad485c229090167eaa4c8a70028ce5a52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a wifi_err_reason_t code to a string.  <a href="#ad485c229090167eaa4c8a70028ce5a52">More...</a><br /></td></tr>
<tr class="separator:ad485c229090167eaa4c8a70028ce5a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0624d2bba035e50c4073074da675a606"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#a0624d2bba035e50c4073074da675a606">hexDump</a> (const uint8_t *pData, uint32_t length)</td></tr>
<tr class="memdesc:a0624d2bba035e50c4073074da675a606"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump a representation of binary data to the console.  <a href="#a0624d2bba035e50c4073074da675a606">More...</a><br /></td></tr>
<tr class="separator:a0624d2bba035e50c4073074da675a606"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6060e23d9a79cad1d9684282b1b8eec3"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#a6060e23d9a79cad1d9684282b1b8eec3">ipToString</a> (uint8_t *ip)</td></tr>
<tr class="memdesc:a6060e23d9a79cad1d9684282b1b8eec3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert an IP address to string.  <a href="#a6060e23d9a79cad1d9684282b1b8eec3">More...</a><br /></td></tr>
<tr class="separator:a6060e23d9a79cad1d9684282b1b8eec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addd9bb2f367a86841e48f5aa67f1d003"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#addd9bb2f367a86841e48f5aa67f1d003">split</a> (std::string source, char delimiter)</td></tr>
<tr class="memdesc:addd9bb2f367a86841e48f5aa67f1d003"><td class="mdescLeft">&#160;</td><td class="mdescRight">Split a string into parts based on a delimiter.  <a href="#addd9bb2f367a86841e48f5aa67f1d003">More...</a><br /></td></tr>
<tr class="separator:addd9bb2f367a86841e48f5aa67f1d003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03192aa2510994528f5cb095f9a455fb"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#a03192aa2510994528f5cb095f9a455fb">toLower</a> (std::string &amp;value)</td></tr>
<tr class="memdesc:a03192aa2510994528f5cb095f9a455fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a string to lower case.  <a href="#a03192aa2510994528f5cb095f9a455fb">More...</a><br /></td></tr>
<tr class="separator:a03192aa2510994528f5cb095f9a455fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b4d634fc97c00316fc5ab7655f4a001"><td class="memItemLeft" align="right" valign="top"><a id="a4b4d634fc97c00316fc5ab7655f4a001"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralUtils.html#a4b4d634fc97c00316fc5ab7655f4a001">trim</a> (const std::string &amp;str)</td></tr>
<tr class="memdesc:a4b4d634fc97c00316fc5ab7655f4a001"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove white space from a string. <br /></td></tr>
<tr class="separator:a4b4d634fc97c00316fc5ab7655f4a001"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>General utilities. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="af43c8ecc3449ea441a2a8e88a50a34d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af43c8ecc3449ea441a2a8e88a50a34d6">&#9670;&nbsp;</a></span>base64Decode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool GeneralUtils::base64Decode </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string *&#160;</td>
          <td class="paramname"><em>out</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Decode a chunk of data that is base64 encoded. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">in</td><td>The string to be decoded. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">out</td><td>The resulting data. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abe8373207df0ef16bc66338b4ec8d298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe8373207df0ef16bc66338b4ec8d298">&#9670;&nbsp;</a></span>base64Encode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool GeneralUtils::base64Encode </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string *&#160;</td>
          <td class="paramname"><em>out</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Encode a string into base 64. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">in</td><td></td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">out</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1698e9a6f3f4a3b49e00a4c7b200fa6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1698e9a6f3f4a3b49e00a4c7b200fa6b">&#9670;&nbsp;</a></span>dumpInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralUtils::dumpInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Dump general info to the log. Data includes: </p>
<ul>
<li>Amount of free RAM </li>
</ul>

</div>
</div>
<a id="ade237631b5595e2426f9e86fc6e38932"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade237631b5595e2426f9e86fc6e38932">&#9670;&nbsp;</a></span>endsWith()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool GeneralUtils::endsWith </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>c</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Does the string end with a specific character? </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">str</td><td>The string to examine. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">c</td><td>The character to look form. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the string ends with the given character. </dd></dl>

</div>
</div>
<a id="a25e466e54ff002f54bfb7e1f43bd401b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25e466e54ff002f54bfb7e1f43bd401b">&#9670;&nbsp;</a></span>errorToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * GeneralUtils::errorToString </td>
          <td>(</td>
          <td class="paramtype">esp_err_t&#160;</td>
          <td class="paramname"><em>errCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert an ESP error code to a string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>The errCode to be converted. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A string representation of the error code. </dd></dl>

</div>
</div>
<a id="a0624d2bba035e50c4073074da675a606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0624d2bba035e50c4073074da675a606">&#9670;&nbsp;</a></span>hexDump()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralUtils::hexDump </td>
          <td>(</td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Dump a representation of binary data to the console. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pData</td><td>Pointer to the start of data to be logged. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>Length of the data (in bytes) to be logged. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a6060e23d9a79cad1d9684282b1b8eec3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6060e23d9a79cad1d9684282b1b8eec3">&#9670;&nbsp;</a></span>ipToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string GeneralUtils::ipToString </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ip</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert an IP address to string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ip</td><td>The 4 byte IP address. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A string representation of the IP address. </dd></dl>

</div>
</div>
<a id="addd9bb2f367a86841e48f5aa67f1d003"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addd9bb2f367a86841e48f5aa67f1d003">&#9670;&nbsp;</a></span>split()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; GeneralUtils::split </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>delimiter</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Split a string into parts based on a delimiter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">source</td><td>The source string to split. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">delimiter</td><td>The delimiter characters. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A vector of strings that are the split of the input. </dd></dl>

</div>
</div>
<a id="a03192aa2510994528f5cb095f9a455fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03192aa2510994528f5cb095f9a455fb">&#9670;&nbsp;</a></span>toLower()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string GeneralUtils::toLower </td>
          <td>(</td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert a string to lower case. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The string to convert to lower case. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A lower case representation of the string. </dd></dl>

</div>
</div>
<a id="ad485c229090167eaa4c8a70028ce5a52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad485c229090167eaa4c8a70028ce5a52">&#9670;&nbsp;</a></span>wifiErrorToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * GeneralUtils::wifiErrorToString </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>errCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert a wifi_err_reason_t code to a string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>The errCode to be converted. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A string representation of the error code.</dd></dl>
<dl class="section note"><dt>Note</dt><dd>: wifi_err_reason_t values as of April 2018 are: (1-24, 200-204) and are defined in ~/esp-idf/components/esp32/include/esp_wifi_types.h. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="GeneralUtils_8h_source.html">GeneralUtils.h</a></li>
<li>GeneralUtils.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
